General Information
All operations require authentication.
List tenantsAlpha
Returns the service names of the tenants.
Query parameters
Filter resources on IAM tags
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ license/ office \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a tenantAlpha
Returns the display name, contact details, service type, status and creation date of the tenant, and whether the Microsoft Customer Agreement (MCA) is accepted.
Path parameters
Service name
Response
Contact's address line
Contact's city
Creation date
Tenant's display name
Contact's first name
IAM resource metadata
Contact's last name
MCA acceptance status
Primary phone number
Internal service name
Tenant's service type
payAsYouGoprepaidTenant's status
creatinginMaintenanceoksuspendedContact's zip code
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ license/ office/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "address": "string", "city": "string", "creationDate": "2024-01-01T12:00:00Z", "displayName": "string", "firstName": "string", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "lastName": "string", "mcaAgreed": true, "phone": "string", "serviceName": "string", "serviceType": "payAsYouGo", "status": "creating", "zipCode": "string"}
Update a tenantAlpha
Updates the display name and the contact details of the tenant: first name, last name, address, zip code, city and phone number.
Path parameters
Service name
Request body (required)
Contact's address line
Contact's city
Creation date
Tenant's display name
Contact's first name
Contact's last name
MCA acceptance status
Primary phone number
Internal service name
Tenant's service type
payAsYouGoprepaidTenant's status
creatinginMaintenanceoksuspendedContact's zip code
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ license/ office/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"Get service informationProduction
Get service information. Returns the status, creation and expiration dates, contacts and renewal settings of the service.
Path parameters
The unique identifier of your Office service
Response
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ license/ office/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}
Update service informationProduction
Update service information. Updates the renewal settings of the service: automatic renewal, period, or deletion at expiration.
Path parameters
The unique identifier of your Office service
Request body (required)
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ license/ office/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"Get the parent tenantAlpha
Returns the tenant of the prepaid user: display name, contact details, service type, status, and whether the Microsoft Customer Agreement (MCA) is accepted.
Path parameters
Service name
Response
Contact's address line
Contact's city
Creation date
Tenant's display name
Contact's first name
Contact's last name
MCA acceptance status
Primary phone number
Tenant's service name
Tenant's service type
payAsYouGoprepaidTenant's status
creatinginMaintenanceokreopeningsuspendedsuspendingContact's zip code
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ license/ officePrepaid/ {serviceName}/ parentTenant \
-H "authorization: Bearer $OVH_TOKEN"{ "address": "string", "city": "string", "creationDate": "2024-01-01T12:00:00Z", "displayName": "string", "firstName": "string", "lastName": "string", "mcaAgreed": true, "phone": "string", "serviceName": "string", "serviceType": "payAsYouGo", "status": "creating", "zipCode": "string"}
Update the parent tenantAlpha
Updates the display name of the tenant of the prepaid user.
Path parameters
Service name
Request body (required)
Parent tenant display name
Parent tenant name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ license/ officePrepaid/ {serviceName}/ parentTenant \
-H "authorization: Bearer $OVH_TOKEN"